Bug 846540 - Review Request: sisu-maven-plugin - Sisu plugin for Apache Maven
Review Request: sisu-maven-plugin - Sisu plugin for Apache Maven
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
Trivial
:
Depends On: 846556
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 01:36 EDT by Mikolaj Izdebski
Modified: 2012-11-24 16:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-24 16:02:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mattias.ellert: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-08-08 01:36:30 EDT
Spec URL: http://mizdebsk.fedorapeople.org/review/sisu-maven-plugin/sisu-maven-plugin-1.1-1.fc18.spec
SRPM URL: http://mizdebsk.fedorapeople.org/review/sisu-maven-plugin/sisu-maven-plugin-1.1-1.fc18.src.rpm
Description: The Sisu Plugin for Maven provides mojos to generate META-INF/sisu/javax.inject.Named index files for the Sisu container.
Fedora Account System Username: mizdebsk
Comment 2 Mikolaj Izdebski 2012-08-09 08:05:43 EDT
Tested on Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=4371590
Comment 3 Mattias Ellert 2012-11-23 10:47:14 EST
Fedora review 2012-11-23 sisu-maven-plugin

rpmlint output:

$ rpmlint koji/sisu-maven-plugin-*.rpm
sisu-maven-plugin.noarch: W: spelling-error %description -l en_US mojos -> moos
sisu-maven-plugin.src: W: spelling-error %description -l en_US mojos -> moos
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ Rpmlint OK
+ Package named according to the guidelines
+ Specfile named after the package
+ The package license tag "ASL 2.0 and EPL" is an approved Fedora license
+ The package license tag matches the license in the sources
+ License files included in %doc (LICENSE-ASL.txt and LICENSE-EPL.txt)
+ The spcefile is written in legible English
+ Sources matches upstream:

sha256sum sisu-maven-plugin-1.1 sisu-maven-plugin-1.1.tar.gz 
954de8ca41fefd09e3ee01549f532b6bd7e04d56b3176ecb2ae197ce28debe62  sisu-maven-plugin-1.1
954de8ca41fefd09e3ee01549f532b6bd7e04d56b3176ecb2ae197ce28debe62  sisu-maven-plugin-1.1.tar.gz

+ Package builds in koji

https://koji.fedoraproject.org/koji/taskinfo?taskID=4720986

+ BuildRequires are sane
+ No locales
+ No shared libraries
+ No bundled libraries
+ Package own directories it creates
+ No duplicates in %files (except for license files)
+ File permissions are sane
+ Specfile uses macros consistently
+ Contains code
+ Javadoc in separate sub package
+ %doc is not runtime essential
+ No static libraries
+ No development files
+ No libtool archives
+ No GUI applications
+ Package does not own other's directories
+ Installed filenames are valid utf8

Package approved.
Comment 4 Mikolaj Izdebski 2012-11-24 10:29:23 EST
Thank you.

New Package SCM Request
=======================
Package Name: sisu-maven-plugin
Short Description: Sisu plugin for Apache Maven
Owners: mizdebsk
Comment 5 Jon Ciesla 2012-11-24 13:16:10 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.